/******************************************************************
*  源程序名：ImpTask4_2_1.cpp            　　　　　　　　　　　   *
*  功能：用switch语句实现百分制成绩转换成五级分制成绩             *
******************************************************************/
#include <iostream.h>
void main()
{
	float score1;//存放百分制成绩
	char score2;//存放五级分制成绩
	int s;//存放表达式的值
	cout<<"请输入百分制成绩：";
	cin>>score1;
	s=int((score1+0.5)/10);//对输入成绩进行4舍5入，并转换成整型
	switch(s)
	{
	case 10:
	case 9:score2='A';break;
	case 8:score2='B';break;
	case 7:score2='C';break;
	case 6:score2='D';break;
	default:score2='E';
	}
	cout<<score1<<"对应的五级分是"<<score2<<endl;
}
